Skip to content
Documentation

List Clusters By Organization (Prometheus)

v2
OpenAPI 3.1.0

ClusterNest API

To get started, generate an access token via the POST /auth/token endpoint below. Afterwards include the token as Bearer in the Authorization header of all requests. e.g. Authorization: Bearer <your_access_token>.

Client Libraries

prometheus

​

List Clusters By Organization

​

Path Parameters

  • Integer numbers.

Responses

  • application/json
  • application/json
Request Example for get/cluster/prometheus/organization/{organization_id}
curl /cluster/prometheus/organization/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
[
  {
    "id": 1,
    "organization_id": 1,
    "name": "string",
    "tier": "basic",
    "state": "creating",
    "created_at": "2026-10-16T06:47:20.484Z",
    "updated_at": "2026-10-16T06:47:20.484Z",
    "maintenance_window": {
      "day_of_week": "monday",
      "start_time": "string",
      "end_time": "string"
    },
    "version": "1.20.1",
    "capacity_multiplier": 3,
    "url": "string",
    "custom_hostname": "string",
    "ip_allowlist": [
      "0.0.0.0/0",
      "::/0"
    ],
    "retention_period": "90d",
    "jwt_auth_sources": []
  }
]